import UIKit

class AuthorizedPartViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        title = "Authorized Part"
        navigationItem.hidesBackButton = true
        view.backgroundColor = .green
        
        let logoutButton = ButtonsFactory.createDefaultButton(title: "Logout", target: self, onTapAction: #selector(onLogout))
        view.addSubview(logoutButton)
        logoutButton.snp.makeConstraints {
            $0.center.equalToSuperview()
        }
    }
    
    @objc
    private func onLogout() {
        navigationController?.popViewController(animated: true)
    }
    
}
